# WOK
TKWOK
WOKernel

# WOKernel_Workbench Class Reference

a workbench is the developing Environment of a developper

`#include <WOKernel_Workbench.hxx>`

Inheritance diagram for WOKernel_Workbench:

[legend]

## Public Member Functions

Standard_EXPORT | WOKernel_Workbench (const Handle(TCollection_HAsciiString)&aname, const Handle(WOKernel_Workshop)&anesting, const Handle(WOKernel_Workbench)&afather)
| Instantiates a workbench .
virtual Standard_EXPORT Handle_TCollection_HAsciiString | EntityCode () const
virtual Standard_EXPORT void | Open ()
| Opens an existing Workbench .
virtual Standard_EXPORT void | Close ()
| Closes an Opened Workbench .
Standard_EXPORT Handle_TCollection_HAsciiString | Father () const
| Gives the Father Workbench of me .
Standard_EXPORT void | SetFather (const Handle(WOKernel_Workbench)&afather)
| Set the father of Wb .
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Ancestors () const
| Gives the ancestors of me .
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Visibility () const
| Gives The nestings in visibility of workbench .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

virtual Standard_EXPORT void | GetParameters ()

## Private Member Functions

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | GetUnitList ()
virtual Standard_EXPORT Handle_WOKernel_File | GetUnitListFile () const

## Private Attributes

Handle_TCollection_HAsciiString | myfather

## Constructor & Destructor Documentation

Standard_EXPORT WOKernel_Workbench::WOKernel_Workbench | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const Handle(WOKernel_Workshop)& | anesting,
|  | const Handle(WOKernel_Workbench)& | afather
| ) |

## Member Function Documentation

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKernel_Workbench::Ancestors | ( |  | ) | const

virtual Standard_EXPORT void WOKernel_Workbench::Close | ( |  | ) | `[virtual]`

| Reimplemented from WOKernel_UnitNesting.

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKernel_Workbench::EntityCode | ( |  | ) | const`[virtual]`

| Implements WOKernel_Entity.

Standard_EXPORT Handle_TCollection_HAsciiString WOKernel_Workbench::Father | ( |  | ) | const

virtual Standard_EXPORT void WOKernel_Workbench::GetParameters | ( |  | ) | `[protected, virtual]`

| Reimplemented from WOKernel_Entity.

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKernel_Workbench::GetUnitList | ( |  | ) | `[private, virtual]`

| Implements WOKernel_UnitNesting.

virtual Standard_EXPORT Handle_WOKernel_File WOKernel_Workbench::GetUnitListFile | ( |  | ) | const`[private, virtual]`

| Implements WOKernel_UnitNesting.

Standard_EXPORT const WOKernel_Workbench::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKernel_UnitNesting.

virtual Standard_EXPORT void WOKernel_Workbench::Open | ( |  | ) | `[virtual]`

| Reimplemented from WOKernel_UnitNesting.

Standard_EXPORT void WOKernel_Workbench::SetFather | ( | const Handle(WOKernel_Workbench)& | afather | ) |

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKernel_Workbench::Visibility | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString WOKernel_Workbench::myfather `[private]`

The documentation for this class was generated from the following file:

- WOKernel_Workbench.hxx